(function ($, paw) {
    var mms = null;

    $.fn.mobileMenuSettings = function (settings) {
        if (paw.utils.value.notSet(mms) && paw.utils.value.isSet(settings)) {
            mms = new paw.com.MobileMenuSettingsComponent($(this), settings);
            mms.init();
            return this;
        }
        return mms;
    };
})(jQuery, paw);